searchNodes=[{"ref":"HealthCheckex.html","title":"HealthCheckex","type":"module","doc":"Documentation for ITK Healthcheckex."},{"ref":"HealthCheckex.html#healthcheck/2","title":"HealthCheckex.healthcheck/2","type":"macro","doc":"Macro that hold the health check logic and assign it a meaningful name for easy referencing. You should either return in the check block one of these values: :ok {:ok, result} {:warn, result} {:fail, result} Returns {:ok, :service} | {:ok, :service, result} | {:fail, :service, result} | {:warn, :service, result} | {:error, :service, &quot;Didn&#39;t get the right response from the check.&quot;} Examples iex&gt; healthcheck(:service, do: :ok) {:ok, :service} iex&gt; healthcheck(:service, do: {:ok, &quot;message&quot;}) {:ok, :service, &quot;message&quot;} iex&gt; healthcheck(:service, do: {:warn, &quot;message&quot;}) {:warn, :service, &quot;message&quot;} iex&gt; healthcheck(:service, do: {:fail, &quot;message&quot;}) {:fail, :service, &quot;message&quot;} iex&gt; healthcheck(:service, do: :something_else) {:error, service, &quot;Didn&#39;t get the right response from the check.&quot;}"},{"ref":"readme.html","title":"ITK Health Checkex","type":"extras","doc":"ITK Health Checkex Plug based health check provided as macros."},{"ref":"readme.html#installation","title":"ITK Health Checkex - Installation","type":"extras","doc":"The package can be installed by adding itk_health_checkex to your list of dependencies in mix.exs: def deps do [ {:itk_health_checkex, &quot;~&gt; 0.0.3&quot;} ] end After you are done, run mix deps.get in your shell to fetch and compile ITK Healthcheckex."},{"ref":"readme.html#configuration","title":"ITK Health Checkex - Configuration","type":"extras","doc":"You can config the maximum timeout in seconds allowed for all the checks, if the timeout interval elapsed and any of the checks wasn&#39;t finished; it will terminate all the remaining checks and report them as timedout and respond with 503 HTTP status code. default is: 29000 milliseconds == 29 seconds Also you can config the endpoint you want to hit to run the checks. default is: healthcheck you can define it as follows: config :itk_health_checkex, timeout: 10_000, endpoint: &quot;healthcheck&quot;"},{"ref":"readme.html#usage","title":"ITK Health Checkex - Usage","type":"extras","doc":"You will need to define a new plug and use the HealthCheckex module under your lib/project_web/plugs folder, you can name it anything you want, ex: lib/acme_web/plugs/health_check.ex: defmodule AcmeWeb.HealthCheck do use HealthCheckex end then you will need to tell your endpoint module about this plug, it&#39;s better to define it as early as possible in your endpoint file, just open lib/acme_web/endpoint.ex and make the following changes: defmodule AcmeWeb.Endpoint do ... plug(AcmeWeb.HealthCheck) ... end Take care that you will need to use the same module name of the plug you defined earlier."},{"ref":"readme.html#defining-checks","title":"ITK Health Checkex - Defining Checks","type":"extras","doc":"You can define all your checks in the plug you created earlier using the healthcheck macro; your check should either return any of these values: Return ValueResultMessageHTTP Response Status Code :okhealthy&quot;Healthy!&quot;200 {:ok, result}healthyresult200 {:warn, result}healthyresult200 {:fail, result}not healthyresult503 _not healthyInspected error503 If at least one check returned {:fail, result} or timedout then the app will be considered as not healthy, and if all the checks return a {:warn, result} the app will be considered healthy. Examples healthcheck :redis do key = &quot;healthcheck-&quot; &lt;&gt; Ecto.UUID.generate() with {:ok, _} &lt;- Redis.set(key, &quot;true&quot;), {:ok, &quot;true&quot;} &lt;- Redis.get(key), {:ok, 1} &lt;- Redis.delete(key) do :ok else err -&gt; {:fail, err} end end healthcheck :database do repos = [ITK.Repo] try do repos |&gt; Enum.each(&amp;Ecto.Adapters.SQL.query(&amp;1, &quot;select 1&quot;)) {:ok, &quot;\#{length(repos)} Repo(s) Healthy!&quot;} rescue err -&gt; {:fail, err} end end healthcheck :timedout_service do :timer.sleep(40_000) :ok end"}]